%global svnrel 82

Name:           naga
Version:        3.0
Release:        %mkrel 2.%{svnrel}svn.6
Summary:        Simplified Java NIO asynchronous sockets

Group:        	System/Base
License:        MIT
URL:            http://code.google.com/p/naga/
# Upstream does not release stable source tarballs.
# Tarball created with
# svn checkout -r %{svnrel} http://naga.googlecode.com/svn/trunk/ naga
# rm -rf naga/.svn
# tar jcf naga-%{svnrel}svn.tar.bz2 naga
Source0:        naga-%{svnrel}svn.tar.bz2
# Force utf8
Patch0:		naga-encoding.patch
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant

Requires:       jpackage-utils
Requires:       java

%description
Naga aims to be a very small NIO library that provides a handful of
java classes to wrap the usual Socket and ServerSocket with
asynchronous NIO counterparts (similar to NIO2 planned for Java 1.7).

All of this is driven from a single thread, making it useful for both
client (e.g. allowing I/O to be done in the AWT-thread without any
need for threads) and server programming (1 thread for all connections
instead of 2 threads/connection).

Internally Naga is a straightforward NIO implementation without any
threads or event-queues thrown in, it is "just the NIO-stuff", to let
you build things on top of it.

Naga contains the code needed to get NIO up and running without having
to code partially read buffers and setting various selection key
flags.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .encoding

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
ant build javadoc

%install
mkdir -p %{buildroot}%{_javadir}
install -D -p -m 644 -t %{buildroot}%{_javadir}/ _DIST/naga-3_0.jar 

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp _BUILD/docs/api/* %{buildroot}%{_javadocdir}/%{name}

# Install symlink
ln -s naga-3_0.jar %{buildroot}%{_javadir}/naga.jar

%files
%{_javadir}/naga-3_0.jar
%{_javadir}/naga.jar

%files javadoc
%{_javadocdir}/%{name}




%changelog
* Fri Feb 05 2016 umeabot <umeabot> 3.0-2.82svn.6.mga6
+ Revision: 937477
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.0-2.82svn.5.mga6
+ Revision: 937030
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0-2.82svn.4.mga5
+ Revision: 740940
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-2.82svn.3.mga5
+ Revision: 682761
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.0-2.82svn.2.mga4
+ Revision: 541325
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 3.0-2.82svn.1.mga4
+ Revision: 495552
- imported package naga


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2.82svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 25 2013 Susi Lehtola <jussilehtola@fedoraproject.org> - 3.0-1.82svn
- First release.
